Bug 75378 - Minus signs cut out of man pages in gnome-terminal windows pastes wrong back into gnome-terminal
Minus signs cut out of man pages in gnome-terminal windows pastes wrong back ...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 16:51 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 01:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-10-07 16:51:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20021004

Description of problem:
If I cut -umount out of a man page with gnome-terminal it comes out as
?^?^?umount in another gnome-terminal window.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open two gnome-terminal windows
2. man sash
3. Search for umount
4. Cut -umount
5. Paste it in the other gnome-terminal window
	

Actual Results:  ?^?^?umount

Expected Results:  -umount

Additional info:

Works fine from gnome-terminal to galeon
Comment 1 Samuel Flory 2002-10-10 12:00:03 EDT
  This also an issue with xterm.  The minus signs aren't displayed in xterm.  In
fact if you paste a man page minus from gnome-terminal to xterm.  It's not
displayed either.  Pasting to Eterm results in this "\x{2212}".
Comment 2 Nalin Dahyabhai 2002-10-14 21:19:59 EDT
The text is copied in the current locale (which by default is probably UTF-8). 
If the application which is running in the second window can't handle data in
the same format, then it's actually a bug in the receiving application (if it's
a terminal emulator, it'll actually be the app running in it).  If you're
pasting onto the command line, it'd be useful to know which shell you're using.
Comment 3 Nathan G. Grennan 2002-10-14 21:31:05 EDT
From two different gnome-terminals both with the same locale and using zsh in both.

As a workaround I am setting my /etc/sysconfig/i18n to 7.3 style aka pre-utf8.
Comment 4 Samuel Flory 2002-10-14 21:57:16 EDT
I see it with 2 gnome-terminals started from redhat menu under gnome running
bash.  It you alias man='env LANG=C man'.  The problem goes away.  It's not just
man that is screwed I've got at least 5 apps aliased like this.
Comment 5 Nathan G. Grennan 2004-08-20 01:36:02 EDT
Closing old bug

Note You need to log in before you can comment on or make changes to this bug.